--Obtener la fecha y hora del sistema, utilizando SELECT.
SELECT GetDate()

---------------------------------------------------------------------------

--Definir una variable de memoria, asignar a dicha variable la fecha del servidor, y desplegar el valor de la variable.
DECLARE @FechaServidor DateTime
SELECT @FechaServidor = GetDate()
PRINT @FechaServidor

---------------------------------------------------------------------------

--Definir las variables necesarias para calcular el rea de un tringulo;
--asignar valores (sin utilizar SELECT), y hacer uso de los operadores aritmticos y la precedencia de los mismos.
DECLARE @Base AS Integer
DECLARE @Altura AS Integer
DECLARE @Area_Tringulo AS Numeric
SET @Base = 10
SET @Altura = 20
SET @Area_Tringulo = (@Base * @Altura) /2
PRINT @Area_Tringulo

---------------------------------------------------------------------------

--Definir una consulta donde slo se obtenga como resultado los primeros 30 caracteres de la 
--direccin (address) del autor (author).   Coloque un encabezado de columna en espaol.
Use pubs
select 
substring(address,1,30)as Direccin 
from 
authors

---------------------------------------------------------------------------

--Seleccione todas las ventas que se hayan desarrollado en el ao 1994.
Use pubs
Select 
* 
From 
sales 
Where 
datepart(yy,ord_date)=1994

---------------------------------------------------------------------------

--Algunas ventas cuentan con un plazo de pago de 60 das ; de ser as, queremos saber cul es la fecha de pago 
--que le corresponde a cada una de dichas ventas, as como el trimestre en el que caer el pago.
--Usted sabe que las ventas hechas con plazo de 60 das, al menos contienen 60 en el campo payterms. 
--El resultado debe mostrar lo siguiente: el nmero de orden, la fecha de la orden, los trminos de pago, 
--la fecha en que se debe pagar, y el trimestre en que cae el pago.
--Utilice la funcin patindex, para determinar si existe un 60 en payterms.
Use pubs
Select 
		ord_num,
		ord_date,
		payterms,
		dateadd(dd,60,ord_date),
		datepart(qq,dateadd(dd,60,ord_date))
From 
		sales
Where	
		patindex('%60%',payterms) > 0

---------------------------------------------------------------------------

--La tabla TITLES tiene un campo llamado notes, de tipo varchar, con mximo de 200.
--Muestre los ttulos cuyo contenido en la columna notes sea igual o mayor a 100 bytes.
Use pubs
Select 
		title
From 
		titles
where
		datalength(notes)  > 100

---------------------------------------------------------------------------

--Declare una variable en donde colocar un dato, presumiblemente una fecha; 
--realice la evaluacin, para determinar si efectivamente se trata de una expresin correspondiente a una fecha.
Declare @FechaDada char(10)
set @FechaDada = 2001-10-12

if isdate(@FechaDada) = 1
		print Se trata de una fecha
else
		print No se trata de una fecha

---------------------------------------------------------------------------

--Declare una variable en donde colocar un dato, presumiblemente una fecha; 
--declare tambin una variable donde almacenar el valor de la fecha (en caso de que se trate de una).
--Asigne un valor a la variable y evale si el texto que proporcion es una fecha; de ser as, almacene 
--el dato que proporcion, convertido a fecha en la variable para tal efecto.
--Convierta la fecha que obtuvo a diferentes expresiones char.
--Si lo que proporcion como valor no corresponde a una notacin de fecha, mandar el mensaje de que 
--la conversin no es posible.
declare @FechaDadaTexto char(10)
declare @Fecha DateTime

set @FechaDadaTexto = 2001-10-12

if isdate(@FechaDadaTexto) = 1
	begin
		set @fecha = convert(DateTime,@FechaDadaTexto)
		print convert(char(20),@Fecha,0)
		print convert(char(20),@Fecha,100)
		print convert(char(20),@Fecha,1)
		print convert(char(20),@Fecha,101)
		print convert(char(20),@Fecha,6)
		print convert(char(20),@Fecha,106)
	end
else
	print No se trata de una fecha.   Imposible convertir

---------------------------------------------------------------------------

























