--Identificar que conexiones se encuentran activas en nuestra instancia
SELECT 
	session_id, client_net_address, connect_time, local_net_address,
	connection_id
FROM 
sys.dm_exec_connections;

-----------------------------------------------------------------------------------------

-- Consulta que me permite relacionar dos DMVs para obtener informacin ms detallada
-- acerca de las conexiones actuales
SELECT        S.session_id, S.login_name, C.local_net_address, C.client_net_address
FROM            sys.dm_exec_sessions AS S LEFT OUTER JOIN
                         sys.dm_exec_connections AS C ON S.session_id = C.session_id
WHERE s.login_name<>'sa';

-----------------------------------------------------------------------------------------

--Plan de ejecucin 1
SELECT * FROM jobs;

--Plan de ejecucin 2
SELECT * FROM jobs WHERE job_id > 11;

--Plan de ejecucin 3
SELECT * FROM jobs WHERE job_id > 11 ORDER BY min_lvl;

--Plan de ejecucin 4
SELECT * FROM jobs WHERE job_id > 11 ORDER BY job_id;


--Para el plan de ejecucin final.
SELECT employee.emp_id, employee.fname, employee.lname, jobs.job_desc, employee.job_lvl 
FROM employee INNER JOIN 
jobs ON employee.job_id = jobs.job_id;





