--Mostrar todas las columnas de TITLES.
USE pubs
SELECT * FROM titles

--Mostrar las columnas  title, price y pubdate,  de TITLES.
USE pubs
SELECT 
	title,
	price,
	pubdate
FROM 
	titles

--Mostrar las columnas  title, price y pubdate,  de TITLES, con encabezados de columna ms legibles para un usuario.
USE pubs
SELECT 
	title AS Ttulo,
	price AS Precio,
	pubdate AS [Fecha de Publicacin]
FROM 
	titles

--Mostrar las columnas  title, price y pubdate,  de TITLES, con encabezados de columna ms legibles para un usuario.   --Antes de la columna price, deber aparecer una literal que diga P. Unitario:
USE pubs
SELECT 
	title AS Ttulo,
	P. Unitario:,
	price AS Precio,
	pubdate AS [Fecha de Publicacin]
FROM 
	titles

--Consulta que selecciona registro, buscando la llave primaria. Igualacin.    (Columna de valor nico)
Use pubs
SELECT 
	title_id, 
	title 
FROM 	
	titles 
WHERE 
	title_id = PC9999

--Consulta que selecciona registros, buscando valores de columna que pueden ser repetidos.   Igualacin.
Use pubs
SELECT 
	title_id, 
	title, 
	type 
FROM 
	titles 
WHERE 
	type = business

--Consulta que selecciona registro, buscando valores de columna que pueden ser repetidos.   Mayor que.
Use pubs
SELECT 
	title_id, 
	title 
FROM 
	titles 
WHERE 
	price > 20

--Consulta que selecciona registros, usando valores de tipo NULL.
Use pubs
SELECT 
	title_id, 
	title, 
	price 
FROM 
	titles 
WHERE 
	price IS NULL

--Consulta de detalle de ventas, en caso de requerirse un filtro de informacin, donde slo aparezca lo vendido a --travs de la orden de compra P2121.    Se incluye un campo calculado.
USE pubs
SELECT
	sales.title_id,
	sales.ord_num,
	titles.title,
	titles.type,
	titles.price,
	sales.qty,
	Importe = (sales.qty * titles.price)
FROM
	sales,
	titles
WHERE
	sales.title_id = titles.title_id AND
	sales.ord_num = P2121

-- Identificadores Final
USE pubs
SELECT
	sl.title_id AS [Clave de ttulo],
	sl.ord_num AS [Orden de compra],
	tl.title AS Ttulo,
	tl.price AS [Precio Unitario],
	sl.qty AS [Cantidad vendida],
	[Importe vendido] = (sl.qty * tl.price) 
FROM
	sales sl,
	titles tl
WHERE
	sl.title_id = tl.title_id












