--Generando un procedimiento almacenado que al proporcionarle un identificador de autor, 
--extrae el registro de la tabla authors que coincida con la clave proporcionada. 
CREATE PROCEDURE ObtenerAutor
@au_id varchar(11)
AS
BEGIN
SELECT au_lname, au_fname
FROM authors
WHERE au_id = @au_id 
END

----------------------------------------------------------------------

--Generando un procedimiento almacenado que retorna en modo de variables el nmero de 
--filas que tienen las tablas authors y titles. 

CREATE PROCEDURE Contadores 
	@Autores int OUTPUT,
	@Libros int OUTPUT
AS
BEGIN
   SET @Autores = (select count(*) from authors)
   SET @Libros = (select count(*) from titles)
   return (0)
END

----------------------------------------------------------------------

--Manejo de transacciones y Error Handling 
Use CruzRoja
select * from donador

begin transaction
		begin try
			INSERT INTO ACTIVIDAD VALUES (2,'A',0);
		end try	
		begin catch
			select 
				ERROR_NUMBER() AS ErrorNumber,
				ERROR_SEVERITY() AS ErrorSeverity,
				ERROR_STATE() as ErrorState,
				ERROR_PROCEDURE() as ErrorProcedure,
				ERROR_LINE() as ErrorLine,
				ERROR_MESSAGE() as ErrorMessage;
		end catch;
commit transaction;

select * from donador

----------------------------------------------------------------------

--Creando y ejecutando un Stored procedure 
CREATE PROCEDURE ObtenerAutor
	@au_id varchar(11)
AS
BEGIN
	SELECT au_lname, au_fname
	FROM authors
	WHERE au_id = @au_id 
END

----------------------------------------------------------------------

































